### Constructor

# Ide HighlightEngine new

#### Declaration

    IdeHighlightEngine*
    ide_highlight_engine_new (
      IdeBuffer* buffer
    )

#### Description

No description available.

#### Parameters

`buffer` | `IdeBuffer`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeHighlightEngine`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.